#include "typedefs.h"

void wait_ns(int ns);
void wait_us(int us);
void wait_ms(int ms);
void _nop_(void);
void si47xx_lowWrite(u8 number_bytes, u8 *data_out);
void si47xx_lowRead(u8 number_bytes, u8 *data_in);
void si47xx_command(u8 cmd_size, u8 *cmd, u8 reply_size, u8 *reply);
void io2w_write(u8 number_bytes, u8 *data_out);
void io2w_read(u8 number_bytes, u8 *data_in);
static void io2w_start(char io2w_address, char operation);
static void io2w_write_byte(char wrdata);
static void io2w_stop(void);
static char io2w_read_byte(char remaining_bytes);
void si47xxInit(void);
void si47xxConfigure(void);
void si47xx_set_property(int propNumber, int propValue);
static void si47xxHardware_cfg(void);
void si470xReset();
