#include <stddef.h>
#include <msp430f2274.h>
#include <stdbool.h>
#include "flash.h"

void SCL_low_F(void)
{
	P4OUT &= ~SCL_F;
	 wait_us(1);
}

void SCL_high_F(void)
{
	P4OUT |= SCL_F;
	 wait_us(1);
}

void SCL_clock_F(void)
{
	SCL_high_F();
	 wait_us(1);
	SCL_low_F();
	 wait_us(1);
}

void SDA_OUT_F(bool Data)
{
  //SDA_write_F();
  if (Data == 0) 
    P4OUT &= ~SI_F;
  else
    P4OUT |= SI_F;
}

bool SDA_IN_F()
{
  //SDA_read_F();
  if (P4IN & SO_F)
    return 1;
  else
    return 0;
}

void SEN_low_F()
{
	P4OUT &= ~CS_F;
	 wait_us(1);
}

void SEN_high_F()
//SEN  P4.0  TP7
{
	P4OUT |= CS_F;
	 wait_us(1);
}

void WP_low_F()
{
	P4OUT &= ~WP_F;
	 wait_us(1);
}

void WP_high_F()
//SEN  P4.0  TP7
{
	P4OUT |= WP_F;
	 wait_us(1);
}
