#include "stdbool.h"

void I2C_start(void);
void I2C_init(char address, char r_w);
int I2C_gotACK(void);
/* functions for using I2C or SDDB */
#ifndef I2C_H
#define I2C_H

void I2C_start(void);
void I2C_init(char address, char r_w);
int I2C_gotACK(void);
void I2C_sendbyte(char byte);
int I2C_receivebyte(void);
void I2C_sendACK(void);
void I2C_sendNACK(void);
void I2C_stop(void);
void SDA_OUT(bool Data);
void SEN_low();			//RDS-SEN-Pin
void SEN_high();		//RDS-SEN-Pin	

#endif //I2C_H
